Bug 14560 - mouseconfig doesn't change (add/remove) zaxismapping for wheelmouse in XF86Config
mouseconfig doesn't change (add/remove) zaxismapping for wheelmouse in XF86Co...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mouseconfig (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Winston rc1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-24 17:36 EDT by Hans de Goede
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-11 18:20:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2000-07-24 17:36:30 EDT
mouseconfig doesn't change (add/remove) zaxismapping for wheelmouse when
updating /etc/X11/XF86Config, like Xconfigurator and anaconda do these days
(see bug 13769)
Comment 1 Glen Foster 2000-07-30 15:53:12 EDT
This defect is considered MUST-FIX for Winston Release-Candidate #1
Comment 2 Glen Foster 2000-08-03 17:20:11 EDT
Does this problem still exist in Pinstripe?
Comment 3 Trond Eivind Glomsrxd 2000-08-04 11:15:58 EDT
I'll fix this.
Comment 4 Trond Eivind Glomsrxd 2000-08-06 18:45:01 EDT
Fixed in CVS - it now adds it all the time, just like Xconfigurator.
Comment 5 Hans de Goede 2000-08-11 18:16:06 EDT
It only adds it to XF86Config-4 not to XF86Config (for XFree-3.3)
Comment 6 Trond Eivind Glomsrxd 2000-08-11 18:19:55 EDT
That section is rather different... won't touch.
Comment 7 Trond Eivind Glomsrxd 2000-08-11 18:21:36 EDT
Note that all new configuration files should have this option enabled, so this
wouldn't be a problem...
Comment 8 Hans de Goede 2000-08-11 18:24:45 EDT
Hmm, people can have custom files laying around and / or have upgraded.
As per my new bug I believe that mouseconfig should not depend on the input file
except for it containing _a_ mouse section, what is in this section doesn't
matter, if it's unknown lett it be if it is an nown thing like MouseType
overwrite it. But it's your call in the end, so I won't go and play reopen
resolve reopen resolve with you :)

Comment 9 Trond Eivind Glomsrxd 2000-08-11 18:33:37 EDT
Then they would fix it by rerunning Xconfigurator, not just mouseconfig. Or add
it themselves. The section in mouseconfig for XFree 3 tries to parse the entries
and keep values you've set and comments and changing it means total rewrite.
Won't touch - run Xconfigurator instead.

Note You need to log in before you can comment on or make changes to this bug.